@import url(https://fonts.googleapis.com/css2?family=Open+Sans:wght@400;700&display=swap);
@import url(https://fonts.googleapis.com/css2?family=Open+Sans:wght@400;700&display=swap);
:root {
  --primary: #e80707!important;
  --secondary: #000000 ;
  --light: #EFEFEF !important;
  --white: #ffffff;
  --error: #dc3545;
  --alert: #ffc200;
  --info: #118fbe;
  --success: #00c474;
  --default: #EFEFEF;
  --disabled: #c9c9c9;
  --textdisabled: #a3a3a3;
  --button-primary-bg: var(--primary);
  --form-switch-checked-bg: var(--primary);
  --pagination-active-bg: var(--primary);
  --sidebar-menu-active-item-color: var(--primary);
  --font-family: "Open Sans", sans-serif;
  --sidebar-bg:#fff;
  --content-search-input-bg: var(--light);
  --page-login-bg: var(--white);
  --table-thead-color: #212529;
  --button-danger-bg:#FF8585 !important;
  --button-secondary-bg: var( white);
  --body-bg: var(--light);
  --button-secondary-color: #e80707!important;
  --bs-table-hover-bg: #FF8585 !important;
  --bs-btn-disabled-bg: #e80707!important;
  --bs-btn-disabled-border-color: #e80707!important;
}

.page-actions .action-saveAndAddAnother {
  background-color: white !important;
  color: #e80707 !important;
}
.page-actions .action-saveAndAddAnother:disabled {
  background-color: white !important;
  color: #e80707 !important;
}
.page-actions .action-saveAndAddAnother:hover {
  background-color: #e80707 !important;
  border-color: #e80707 !important;
  color: white !important;
}
.page-actions .action-saveAndReturn {
  background-color: #e80707 !important;
  border-color: #e80707 !important;
}
.page-actions .action-saveAndReturn:disabled {
  background-color: #e80707 !important;
  border-color: #e80707 !important;
}

#new-Trip-form input, #new-Trip-form select, #new-Trip-form textarea, #new-Trip-form .form-control, #new-Trip-form .list-group-item, #new-Trip-form .ts-control, #new-Trip-form .form-select {
  background-color: var(--white) !important;
}

#main .card {
  background-color: white !important;
}
#main .form-control, #main .list-group-item, #main .ts-control, #main .form-select {
  background-color: var(--white) !important;
}

body {
  font-family: "Open Sans", sans-serif;
}

.main-content {
  background-color: var(--light);
}

th {
  background-color: #fff !important;
}

.table-responsive-sm tr:nth-child(odd) {
  background-color: #F4F8EE;
}

.datagrid tr:nth-child(even) {
  background-color: #fff;
}
.datagrid tr:nth-child(even) td {
  background-color: transparent;
}

.datagrid tr:nth-child(odd) {
  background-color: #FCE8E8 !important;
}
.datagrid tr:nth-child(odd) td {
  background-color: transparent;
}

.datagrid tr:nth-child(odd):hover {
  background-color: var(--primary) !important;
}

.datagrid thead a {
  display: flex;
  max-width: 100px;
  align-items: center;
  color: var(--primary) !important;
  white-space: normal;
  word-wrap: break-word;
  gap: 1px;
}

.datagrid thead span {
  color: var(--primary) !important;
}

.datagrid td, .datagrid td *, .datagrid thead span:not(.icon) {
  max-width: 100px;
  white-space: normal;
  word-wrap: break-word;
}

.datagrid td .dropdown-actions * {
  max-width: 100%;
}

table.datagrid tbody tr.load-type {
  background: #fce8e8 !important;
}

table.datagrid tbody tr.unload-type {
  background: #e8fafc !important;
}

.btn-group-vertical > .btn, .btn-group > .btn {
  flex: 1 1 auto;
  position: relative;
}

.btn-secondary {
  border: solid 1px;
  color: var(--primary);
  background-color: #fff;
  border-color: var(--primary);
}

.btn-secondary:hover {
  color: #fff;
  background-color: var(--primary);
  border-color: var(--primary);
}

.action-filters-button i {
  color: var(--primary);
}

.btn-next {
  height: 46px;
  width: 46px;
}

.pages {
  padding: 2em;
  background-color: var(--light);
  border-radius: 5px;
}

#header-logo {
  background-image: url(/build/images/logo_carvolum.c719fe70.png);
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
  padding: 1.5em;
  margin: 1em;
}

.btn:not(:disabled):not(.disabled):not(.btn-link):not(.btn-danger):hover {
  color: #fff !important;
}

.action-filters-button i:hover {
  color: #fff !important;
}

#digi-kit {
  width: 200px;
  font-size: 12px;
}
@media screen and (max-width: 991px) {
  #digi-kit {
    position: absolute;
  }
}
@media screen and (max-height: 750px) {
  #digi-kit {
    position: relative;
    top: 15px;
    left: 8px;
  }
}

.main-header {
  display: block;
}

.select2-selection__rendered {
  line-height: 38px !important;
}

.select2-container .select2-selection--single {
  height: 38px !important;
}

.select2-selection__arrow {
  height: 38px !important;
}

.table.datagrid tbody tr.modified-order:nth-child(odd) {
  background-color: #ffffaa !important;
}

.table.datagrid tbody tr.modified-order:nth-child(even) {
  background-color: #ffffc8 !important;
}

.table.datagrid tbody tr.charging-point-order {
  border-left: 4px solid;
}

.form-group.field-collection .accordion-item .form-group {
  flex-direction: column;
}

.form-group {
  padding-left: calc(var(--bs-gutter-x) * 0.5);
  padding-right: calc(var(--bs-gutter-x) * 0.5);
}

.time-slot-btn {
  min-width: 100px;
  margin: 5px;
}

#time-slot-buttons {
  max-height: 400px;
  overflow-y: auto;
}

#login-actions a {
  color: #000 !important;
  text-decoration: underline;
}

.login-wrapper .content {
  box-shadow: var(--shadow-xl) !important;
}

.email-base .content {
  display: flex;
  flex-direction: column;
  justify-content: left;
  font-family: "Open Sans", sans-serif;
}
.email-base .bolder {
  font-weight: bolder;
  color: #000000;
}
.email-base .align-center {
  text-align: left;
}
.email-base .align-left {
  text-align: left;
}
.email-base .normal {
  font-weight: 500;
}
.email-base .border-top {
  border-top: 1px solid #88cedd;
  margin-top: 15px;
}
.email-base .padding-10 {
  padding: 0px 10px;
}
.email-base .primary-color {
  color: #e80707;
}
.email-base .w-100 {
  width: 100%;
}
.email-base #button {
  text-decoration: none;
  background-color: #e80707;
  color: white;
  cursor: pointer;
  text-decoration: none;
  white-space: nowrap;
  padding: 10px;
  border-radius: 5px;
  font-family: "Open Sans", sans-serif;
}
.email-base .text-message {
  font-family: "Open Sans", sans-serif;
}

.logo {
  width: 220px;
  padding: 5px;
}

.comments-cell {
  max-width: 20ch;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

.comments-cell:hover {
  white-space: normal;
  max-width: 400px;
  z-index: 10;
  position: relative;
}

/*# sourceMappingURL=data:application/json;charset=utf-8;base64,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*/